122 visiteur(s) en ligne
Date actuelle : 18-10-2018, 01:20 AM Bienvenue, Visiteur ! ( Identification S'enregistrer )







 
upgrade ou downgrade de NM applet sous Intrepid
 
Note de cette discussion :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Auteur Message
Bengi2008 Hors ligne
Informaticien qualifié
****

Messages : 420
Inscription : Mar 2008
Réputation : 0
Message : #1
upgrade ou downgrade de NM applet sous Intrepid
Bonjour

Sous hardy tout allait bien, Sous jaunty live CD aussi, mais depuis ma migration sous intrepid j'ai un souci qui est de plus en plus casse pied.

Mon bahut est est equipé avec le reseau wifi en WPA2, avec authentification PEAP MSCHAPv2 sans certificats etc ...
Sous hardy, ça marchait impec ! Depuis ma migration, je n'arrive plus du tout à me loguer. j'ai testé toutes les méthodes d'authentification, ensuite j'ai été voir l'admin qui m'a confirmé que c'était bien du PEAP MSCHAPv2, et que ça ne fonctionne pas sous intrepid:

AUTEUR a écrit :Vu la copie d'écran, j'en déduis que le test a été réalisé avec Ubuntu Intrepid.
C'est volontairement que je n'ai mis aucune documentation concernant cette version d'Ubuntu, car le client NM proposé n'est pas compatible avec le protocole EAP/PEAP (le paramètre inner authentication n'est pas transmis au serveur d'authentification, du coup la tentative d'authentification est systématiquement rejeté).

En revanche, le test à partir de la version Hardy ou Jaunty en suivant les procédures ne devrait pas poser de problème.
Je vous propose de retenter une connexion à partir de l'une de ces deux versions et de me contacter en cas de problème pour que je puisse regarder les logs en parallèle.

Donc j'en deduis que si je veux rester sous intrepid, que je dois changer de version de Networh Manager applet: soit downgrader vers la 0.6.6, soit updater vers la même version que celle de Jaunty. Or n'ayant aucune connection internet avec mon systeme intrepid, comment dois-je m'y prendre pour mettre a jours network Manager applet?

Merci d'avance.
21-10-2009 14:03 PM
Envoyer un email à cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse
secwineman Hors ligne
modo à temps partiel
****

Messages : 568
Inscription : Nov 2008
Réputation : 5
Message : #2
RE: upgrade ou downgrade de NM applet sous Intrepid
Salut,
j'ai pas d'ubuntu sous la main malheureusement, j'installerais la bêta ce week-end Wink
21-10-2009 18:35 PM
Envoyer un email à cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse
secwineman Hors ligne
modo à temps partiel
****

Messages : 568
Inscription : Nov 2008
Réputation : 5
Message : #3
RE: upgrade ou downgrade de NM applet sous Intrepid
Salut,
ça risque d'être assez fastidieux..

http://packages.ubuntu.com/

Là tu peux télécharger les paquets 1 à 1 de n'importe quelle version d'ubuntu, que tu pourras dl depuis ailleurs que ta ubuntu (vérifie à aussi télécharger les dépendances).

Mais avant de tenter ces installations, je te conseille d'essayer avant dans une machine virtuelle, voir comment le système se comporte! Smile
26-10-2009 18:30 PM
Envoyer un email à cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse
Troll Hors ligne
Trolls' master
******

Messages : 15 807
Inscription : Mar 2006
Réputation : 21
Message : #4
RE: upgrade ou downgrade de NM applet sous Intrepid
Salut vous deux,

Mettre à jour la versoin de NM sans Internet n'est pas du tout compliqué, c'est juste effectuer l'installation d'un package depuis une source locale.


Pour ça tu te rends sur l'adresse des dépôts comme te l'a indiqué Sec' puis tu télécharge les paquets qui vont bien :

Pour savoir quels paquets il va te falloir, fais une simulation d'installation (j'espère qu'au moins ta liste de paquets est un minimum à jour par contre) :


sudo apt-get install tonpaquet -s

Il va t'afficher tout ce qui se serait passé si tu avais fait le téléchargement puis l'installation. Tu pourras donc voir le noms des paquets utilisés / modifiés / mis à jour.

Ensuite une fois que tu as téléchargé tous tes paquets dans un même dossier tu vas les installer...

Voici les étapes de la réflexion :

  1. Je dois installer ces paquets... Bon, la commande pour installer un paquet c'est :


    dpkg -i monpaquet.deb

  2. Constatation : on ne peut installer qu'un paquet à la fois en faisant ça !
  3. Mais mince, il faut installer d'abord les dépendances et ensuite le paquet finale ! De plus il peut y avoir des dépendances des dépendances... comment faire pour connaître l'ordre d'installation ??
  4. Et si on essayait de lui balancer tous les paquets à la fois ? Tiens ! On va essayer pour voir ce que ça donne !

    cd /le/repertoire/ou/sont/les/fichiers/deb/
    sudo dpkg -i *.deb

  5. Miracle !!! Ça marche il se démerde pour les installer dans le bon ordre !!


Voilà, à toi de jouer Wink

Un poste sans accent ? La faute au clavier qwerty :/
|| Merci de mettre des titres explicites !!! || La bouille à Troll ? || 
Vous voulez remercier l'équipe du forum ? Participez ! Exprimez-vous ! Revenez et parlez de ce que vous voulez ! Wink Image: actualites-informatiques-pcw.1.gif
26-10-2009 21:20 PM
Visiter le site internet de cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse
Bengi2008 Hors ligne
Informaticien qualifié
****

Messages : 420
Inscription : Mar 2008
Réputation : 0
Message : #5
RE: upgrade ou downgrade de NM applet sous Intrepid
lorsque j'etais encore sous Hardy, j'ai essayé d'utiliser cette methode pour installer la derniere version de VLC: (sur le depot de Jaunty) et ça a posé probleme.
Idem pour les jeux tell que ETR ou Super tux kart: bien que toutes les dependances etaient respectés ça ne démarrait pas.

ça va risquer de faire la même chose avec le NM si je prends les paquets dédiés pour une autre distribution que intrepid pour mon intrepid?
12-11-2009 23:57 PM
Envoyer un email à cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse
Troll Hors ligne
Trolls' master
******

Messages : 15 807
Inscription : Mar 2006
Réputation : 21
Message : #6
RE: upgrade ou downgrade de NM applet sous Intrepid
Alors là je n'ai aucune idée de ce que les versions font par rapport au paquet car je ne connais pas par coeur les modifications effectuées dans les distrib' par les développeurs de Ubuntu.

Cependant, pourquoi veux-tu utiliser les paquets de Jaunty pour ton Intrepid ? Tu cherches les problèmes en faisant ça... o_O

Ensuite tu dis que la technique n'a pas fonctionné ? Ça c'est bien installé pourtant, non ?

Sous Debian j'ai découvert Gdebi récemment aussi, dpkg je l'utilisais sous Fedora / Xandros moi. Gdebi s'utilise comme suit :


sudo gdebi tonpaquet.deb

Par contre il est fait pour chercher les dépendances sur le net et on retombe sur le problème de savoir dans quel ordre est-ce qu'il faut les installer... !


Un poste sans accent ? La faute au clavier qwerty :/
|| Merci de mettre des titres explicites !!! || La bouille à Troll ? || 
Vous voulez remercier l'équipe du forum ? Participez ! Exprimez-vous ! Revenez et parlez de ce que vous voulez ! Wink Image: actualites-informatiques-pcw.1.gif
13-11-2009 22:10 PM
Visiter le site internet de cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse
Bengi2008 Hors ligne
Informaticien qualifié
****

Messages : 420
Inscription : Mar 2008
Réputation : 0
Message : #7
RE: upgrade ou downgrade de NM applet sous Intrepid
ben je sais que pour les jeux ça ne marche pas.
donc je risque de perdre le réseau si je prends le paquet NM d'une autre distrib

enfin, je ne trouve pas la version 0.6.6 pour où ils garantissent que ça fonctionne pour intrepid, vue qu'officiellement c'est réserve à Hardy et que ça n'est disponible que dans les dépôts de Hardy, et introuvable si on veut utiliser la méthode PPA
13-11-2009 22:46 PM
Envoyer un email à cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse
Troll Hors ligne
Trolls' master
******

Messages : 15 807
Inscription : Mar 2006
Réputation : 21
Message : #8
RE: upgrade ou downgrade de NM applet sous Intrepid
Salut Bengi,

Ola j'ai rien compris (enfin presque) à ce que tu as raconté...

NetworkManager n'est pas disponible pour Intrepid ?

Ou c'est la version que tu veux qui n'est pas disponible pour Intrepid ?

Mais sinon, deux questions quand même :

1°) Pourquoi tu restes à Intrepid ? Sous Ubuntu normalement tu as deux choix : soit tu suis les versions LTS uniquement (comme suivre les version de Windows) quand tu aimes pas changer de distribution toutes les 5 minutes. Soit tu suis les distributions courantes et tu en changes tous les six mois (en attendant 1 mois et demi après la sortie de l'upgrader avant d'ugrader quand même, pour éviter d'avoir tous les bugs à chaque sortie de distrib' Ubuntu). Donc en suivant ni l'un ni l'autre tu cherches les problèmes de compatibilité quand même O_o

2°) Si tu tiens tellement à cette version de NM, pourquoi ne pas compiler depuis les sources ?

Enfin : Si tu as un problème avec ta version de NM et que tu souhaites juste la changer pour ne plus avoir ce problème je te conseille de changer tout simplement pour WICD (un autre gestionnaire de réseau filiaire / wifi qui fonctionne très bien et est souvent la solution quand NM déconne sur un PC).

Un poste sans accent ? La faute au clavier qwerty :/
|| Merci de mettre des titres explicites !!! || La bouille à Troll ? || 
Vous voulez remercier l'équipe du forum ? Participez ! Exprimez-vous ! Revenez et parlez de ce que vous voulez ! Wink Image: actualites-informatiques-pcw.1.gif
14-11-2009 15:29 PM
Visiter le site internet de cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse
Bengi2008 Hors ligne
Informaticien qualifié
****

Messages : 420
Inscription : Mar 2008
Réputation : 0
Message : #9
RE: upgrade ou downgrade de NM applet sous Intrepid
Pour repondre a la premiere question: il y a des bugs avec la LST pour la live USB qui entrainent des kernels panics
pour les versions plus ressentes, c'est impossible a cause de ATI (a partir de la version 9.12, ça freeze au moment du chargement de l'ecran graphique avec la radeon mobility HD 2600)

Pour ce qui est de la compilation, a chaque fois que j'ai essayé, il manque toujours quelque chose, et même apres l'avoir installé, il en manquera toujours un autre, bref, les configures, make install make-install ça n'a jamais fonctionné sous ubuntuConfused
14-11-2009 17:47 PM
Envoyer un email à cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse
Troll Hors ligne
Trolls' master
******

Messages : 15 807
Inscription : Mar 2006
Réputation : 21
Message : #10
RE: upgrade ou downgrade de NM applet sous Intrepid
Tu as essayé avec wicd ?

Sinon tu peux larguer Ubuntu pour une vraie distrib' aussi Smile

Un poste sans accent ? La faute au clavier qwerty :/
|| Merci de mettre des titres explicites !!! || La bouille à Troll ? || 
Vous voulez remercier l'équipe du forum ? Participez ! Exprimez-vous ! Revenez et parlez de ce que vous voulez ! Wink Image: actualites-informatiques-pcw.1.gif
12-12-2009 20:56 PM
Visiter le site internet de cet utilisateur Trouver tous les messages de cet utilisateur Citer ce message dans une réponse




Discussions apparemment similaires...
Discussion : Auteur Réponses : Affichages : Dernier message
  [Jeu] Manette neogeoX non reconnue sous linux tigrokiki 0 573 15-05-2018 22:59 PM
Dernier message: tigrokiki
  Comment enlever lecture seule sous linux mint 17.2 tigrokiki 1 4 227 24-08-2017 08:37 AM
Dernier message: ghous
  Comment choisir dossier photo de Picasa sous Linux? tigrokiki 0 4 076 02-01-2016 19:15 PM
Dernier message: tigrokiki
  [Résolu] tuto config audacity sous Linux Mint tigrokiki 3 2 973 07-01-2015 17:50 PM
Dernier message: tigrokiki
  [Résolu] Sous linux probleme résolution ecran 27" tigrokiki 11 5 850 01-09-2014 14:45 PM
Dernier message: Troll
  [Résolu] Plus rien ne répond sous ubuntu 10.04 Luaine 7 7 132 20-05-2011 17:23 PM
Dernier message: Luaine
  installation de ubuntu 11 sous wubi ? Luaine 12 9 790 01-05-2011 12:52 PM
Dernier message: Luaine
  [Résolu] changer les icones des dossiers sous ubuntu Luaine 4 10 635 24-12-2010 10:09 AM
Dernier message: Luaine
  [Résolu] Update/Mise à jour Pidgin 2.4 vers 2.5/2.6 sous Ubu Bengi2008 7 6 653 08-10-2009 18:40 PM
Dernier message: secwineman
  [Résolu] Aucun son sous Ubuntu 9.04 sasuke41 9 7 682 05-09-2009 21:40 PM
Dernier message: Troll

Aller à :


Utilisateur(s) parcourant cette discussion : 1 visiteur(s)